import { ReadableStream } from 'node:stream/web';
export { EndOfStreamError } from './EndOfFileStream.js';
import type { IStreamReader } from "./index.js";
/**
 * Read from a WebStream
 * Reference: https://nodejs.org/api/webstreams.html#class-readablestreambyobreader
 */
export declare class WebStreamReader implements IStreamReader {
    private reader;
    private peekQueue;
    constructor(stream: ReadableStream<Uint8Array>);
    peek(buffer: Uint8Array, offset: number, length: number): Promise<number>;
    read(buffer: Uint8Array, offset: number, length: number): Promise<number>;
}
